Bug 1030962 - 'crashkernel=auto' kernel parameter for kdump not set in grub.conf for RHSS
'crashkernel=auto' kernel parameter for kdump not set in grub.conf for RHSS
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribution (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sreenath G
Prasanth
: ZStream
Depends On:
Blocks: 1020127
  Show dependency treegraph
 
Reported: 2013-11-15 07:20 EST by Rejy M Cyriac
Modified: 2015-12-03 12:16 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
On installing the Red Hat Storage Server from an ISO or PXE, the kexec-tools package for the kdump service gets installed by default. However, the crashkernel=auto kernel parameter required for reserving memory for the kdump kernel, is not set for the current kernel entry in the bootloader configuration file, /boot/grub/grub.conf. Therefore the kdump service fails to start up, with the following message available in the logs. kdump: No crashkernel parameter specified for running kernel Workaround: After installing the Red Hat Storage Server, the crashkernel=auto, or an appropriate crashkernel=<size>M kernel parameter can be set manually for the current kernel in the bootloader configuration file. After that, the Red Hat Storage Server system must be rebooted, upon which the memory for the kdump kernel is reserved and the kdump service starts successfully. Refer to the following link for more information on Configuring kdump on the Command Line Additional information: On installing a new kernel after the installing Red Hat Storage Server, the crashkernel=auto kernel parameter is successfully set in the bootloader configuration file for the newly added kernel.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 12:16:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rejy M Cyriac 2013-11-15 07:20:03 EST
Description of problem:
On installing RHSS from ISO, the package for the kdump service kexec-tools gets installed by default, but the 'crashkernel=auto' kernel parameter, required for reserving memory for the kdump kernel, is not being set for the kernel entry in the bootloader configuration file, /boot/grub/grub.conf. Therefore the kdunmp service fails to start up with the following message in the logs.

 kdump: No crashkernel parameter specified for running kernel

This kernel parameter is supposed to be put in, if missing, by the 'posttrans scriptlet' of the kernel package. On installing another kernel after RHSS installation, the 'crashkernel=auto' kernel parameter is successfully put in, as expected, for the newly installed kernel entry in the bootloader configuration file.

Interestingly, the issue is not reproduced when RHSS is installed from RH Satellite Server.

Version-Release number of selected component (if applicable):
RHSS-2.1-20131114.0-RHS-x86_64-DVD1.iso

How reproducible:


Steps to Reproduce:
1. Install RHSS using RHSS-2.1-20131114.0-RHS-x86_64-DVD1.iso
2. Observe the failure of kdump start-up at boot
3. Examine /var/log/messages for kdump error log
4. Examine the /boot/grub/grub.conf for the 'crashkernel=auto' kernel parameter

Actual results:
On installing RHSS from ISO, the 'crashkernel=auto' kernel parameter is not being set for the kernel entry in the bootloader configuration file, /boot/grub/grub.conf, leading to the failure of the kdump service. 

Expected results:
The 'crashkernel=auto' kernel parameter should be set for the kernel entry in the bootloader configuration file, during the RHSS installation.
 
Additional info:
Comment 2 Pavithra 2013-11-18 02:02:05 EST
Hi AJ,

This is the doc text that will go into the Known Issues section of the Big Bend Update 1 Release Notes. Please sign off on the technical accuracy of this text.

On installing the Red Hat Storage Server from an ISO image, a package for the kdump service kexec-tools gets installed by default.The 'crashkernel=auto' kernel parameter that is required for reserving memory for the kdump kernel is not set for the kernel entry in the bootloader configuration file at /boot/grub/grub.conf. This kernel parameter, if missing, is supposed to be set by the 'posttrans scriptlet' of the kernel package. Therefore, the kdunmp service fails to start up with the following message in the logs.

kdump: No crashkernel parameter specified for running kernel

Workaround: On installing another kernel after the Red Hat Storage Server installation, the 'crashkernel=auto' kernel parameter is successfully set for the newly installed kernel entry in the bootloader configuration file.
Comment 3 Rejy M Cyriac 2013-11-18 09:11:00 EST
(In reply to Pavithra from comment #2)
> Hi AJ,
> 
> This is the doc text that will go into the Known Issues section of the Big
> Bend Update 1 Release Notes. Please sign off on the technical accuracy of
> this text.
> 
> On installing the Red Hat Storage Server from an ISO image, a package for
> the kdump service kexec-tools gets installed by default.The
> 'crashkernel=auto' kernel parameter that is required for reserving memory
> for the kdump kernel is not set for the kernel entry in the bootloader
> configuration file at /boot/grub/grub.conf. This kernel parameter, if
> missing, is supposed to be set by the 'posttrans scriptlet' of the kernel
> package. Therefore, the kdunmp service fails to start up with the following
> message in the logs.
> 
> kdump: No crashkernel parameter specified for running kernel
> 
I suggest rephrasing this text to:

----------------------------

On installing RHSS from ISO, the package for the kdump service, kexec-tools, gets installed by default. However, the 'crashkernel=auto' kernel parameter, required for reserving memory for the kdump kernel, is not being set for the current kernel entry in the bootloader configuration file, /boot/grub/grub.conf. Therefore the kdump service fails to start up, with the following message available in the logs.

 kdump: No crashkernel parameter specified for running kernel

----------------------------

> Workaround: On installing another kernel after the Red Hat Storage Server
> installation, the 'crashkernel=auto' kernel parameter is successfully set
> for the newly installed kernel entry in the bootloader configuration file.

I believe that the work-around should not be limited to installing another kernel, which may not always be an appropriate solution. The issue being resolved on installing another kernel, may be given as an *additional information*, while the work-around may be given as below.

----------------------------

After RHSS installation, the 'crashkernel=auto', or an appropriate 'crashkernel=<size>M', kernel parameter may be set manually for the current kernel, in the bootloader configuration file. Then the RHSS system must be rebooted, upon which the memory for the kdump kernel would be reserved, and the kdump service would be started up successfully. Refer to the following link for more information on  'Configuring kdump on the Command Line'

[1] https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Deployment_Guide/s2-kdump-configuration-cli.html

----------------------------
Comment 4 Anthony Towns 2013-11-20 06:06:42 EST
(In reply to Pavithra from comment #2)
> package. Therefore, the kdunmp service fails to start up with the following
> message in the logs.

(kdump, not kdunmp..)

I'm not an expert on kdump so can't provide any useful commentary here; Rejy's suggestions in comment#3 seem plausible.
Comment 5 Rejy M Cyriac 2013-11-20 07:43:32 EST
(In reply to Anthony Towns from comment #4)
> (In reply to Pavithra from comment #2)
> > package. Therefore, the kdunmp service fails to start up with the following
> > message in the logs.
> 
> (kdump, not kdunmp..)
> 
> I'm not an expert on kdump so can't provide any useful commentary here;
> Rejy's suggestions in comment#3 seem plausible.

I have tested it out, and it works :-)
Comment 6 Pavithra 2013-11-22 03:51:51 EST
Rejy,
I've incorporated your comments. Can you please review?
This bug is documented in the Release Notes for Big Bend Update 1 in the link below:
http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Storage/2.1/html-single/2.1_Update_1_Release_Notes/index.html#chap-Documentation-2.1_Update_1_Release_Notes-Known_Issues
Comment 7 Rejy M Cyriac 2013-11-22 07:29:17 EST
(In reply to Pavithra from comment #6)
> Rejy,
> I've incorporated your comments. Can you please review?
> This bug is documented in the Release Notes for Big Bend Update 1 in the
> link below:
> http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Storage/
> 2.1/html-single/2.1_Update_1_Release_Notes/index.html#chap-Documentation-2.
> 1_Update_1_Release_Notes-Known_Issues

Have put in a few changes:

On installing the Red Hat Storage Server from ISO or PXE, the package for the kdump service, kexec-tools, gets installed by default. However, the crashkernel=auto kernel parameter, required for reserving memory for the kdump kernel, is not being set at the entry for the current kernel, in the bootloader configuration file, /boot/grub/grub.conf. Therefore the kdump service fails to start up, with the following message available in the logs.

kdump: No crashkernel parameter specified for running kernel

Workaround: After installing the Red Hat Storage Server, the crashkernel=auto, or an appropriate crashkernel=<size>M kernel parameter, may be set manually for the current kernel in the bootloader configuration file. Then the Red Hat Storage Server system must be rebooted, upon which the memory for the kdump kernel would be reserved, and the kdump service would be started successfully. Refer to the following link for more information on Configuring kdump on the Command Line <--- https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Deployment_Guide/s2-kdump-configuration-cli.html

Additional information: On installing a new kernel after the Red Hat Storage Server installation, the crashkernel=auto kernel parameter is successfully set, at the entry for the newly installed kernel, in the bootloader configuration file.
Comment 8 Pavithra 2013-11-25 09:44:12 EST
Rejy,

I've incorporated your comments and modified the text. Please review it in the link here:

http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Storage/2.1/html/2.1_Update_1_Release_Notes/chap-Documentation-2.1_Update_1_Release_Notes-Known_Issues.html

This is documented as a known issue in the Big Bend Update 1 Release Notes.
Comment 9 Rejy M Cyriac 2013-11-26 01:15:58 EST
(In reply to Pavithra from comment #8)
> Rejy,
> 
> I've incorporated your comments and modified the text. Please review it in
> the link here:
> 
> http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Storage/
> 2.1/html/2.1_Update_1_Release_Notes/chap-Documentation-2.
> 1_Update_1_Release_Notes-Known_Issues.html
> 
> This is documented as a known issue in the Big Bend Update 1 Release Notes.

A small error at the last paragraph.

Additional information: On installing a new kernel after the installing Red Hat Storage Server, 

should be

Additional information: On installing a new kernel after installing the Red Hat Storage Server,
Comment 11 Rejy M Cyriac 2013-11-26 02:51:08 EST
(In reply to Pavithra from comment #10)
> Thank you Rejy.
> I've corrected it here:
> 
> http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Storage/
> 2.1/html/2.1_Update_1_Release_Notes/chap-Documentation-2.
> 1_Update_1_Release_Notes-Known_Issues.html

Looks good. :-)
Comment 12 Anthony Towns 2013-12-19 00:51:11 EST
This is an anaconda bug -- anaconda sets crashkernel=auto for rhel installs, but when installing an RHS system uses the "Fedora" installclass, due to the product name not beginning with "Red Hat Enterprise".

Assistance from the anaconda team is required to fix this.
Comment 16 Vivek Agarwal 2015-12-03 12:16:58 EST
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.

Note You need to log in before you can comment on or make changes to this bug.